Subject: Re: Duplicate CygWin
From: "Max Bowsher" <[email-masked]>
To: "Ronald Landheer-Cieslak" <[email-masked]>, "Ben Clewett" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 18 Feb 2003 20:22:37 -0000

Ronald Landheer-Cieslak wrote:
> On Tue, 18 Feb 2003, Ben Clewett wrote:
>> - Ensure safe location of cygwin1.dll so that no application uses
>>   wrong one.
> either that, or just rename the DLL, like the Xygwin people did. When
> you link against a DLL, the name of the DLL is put in the created
> binary, so anything linked to myCygwin1.dll will always look for
> myCygwin1.dll, not Cygwin1.dll.

Yes, *definitely* better to have a different DLL name.

>> - Get the different root '/' mount points to be respected.
> yes.

No. You need a different *set* of mounts. Not just one... therefore...

>> With the mount points, I was hoping a *hack* as simple as:
>>
>> char *pRootMount; pRootMount = getenv("ROOT_MOUNT");
>> if (pRootMount) { ....; return; }

... this is no good.

>> I'll look for the memory naming following your instructions.
>> In both cases, I would prefer any options which didn't mean forking
>> the code.  So I would be interested in your opinions...

> Options *not* forking the code but allowing you to have two different
> Cygwin installations with different mountpoints on the same system??

Huh?!? If the second Cygwin *isn't* a fork already, then why do you need a
second installation at all?

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/